Skip to main content
Resource Center/Network Resource/L2 Network Operations
POSTL2 Network OperationsSince 3.7SynchronousAuth Required

CreateL2HardwareVxlanNetworkPool

CreateL2HardwareVxlanNetworkPool

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • sdnControllerUuidStringRequired

      The SDN controller UUID.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • zoneUuidStringRequired

      The zone UUID.

    • physicalInterfaceStringRequired

      The physical interface.

    • typeString

      Optional. The resource type.

    • resourceUuidString

      Optional. The resource UUID.

    • tagUuidsList

      Optional. The user tags list.

    • vSwitchTypeString

      Optional. The type of the vSwitch.

    • isolatedBoolean

      Optional.

    • pvlanString

      Optional.

    • startVlanInteger

      Optional.

    • endVlanInteger

      Optional.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryHardwareL2VxlanNetworkPoolInventoryRequired

    See inventory.

    • sdnControllerUuidStringRequired

      No description provided.

    • attachedCidrsMapRequired

      No description provided.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • zoneUuidStringRequired

      The zone UUID.

    • physicalInterfaceStringRequired

      No description provided.

    • typeStringRequired

      类型。

    • vSwitchTypeStringRequired

      No description provided.

    • virtualNetworkIdIntegerRequired

      No description provided.

    • isolatedBooleanRequired

      No description provided.

    • pvlanStringRequired

      No description provided.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedClusterUuidsListRequired

      附加集群UUID。

    • attachedVtepRefsListRequired

      See attachedVtepRefs.

      • uuidStringRequired

        The resource UUID.

      • hostUuidStringRequired

        The host UUID

      • vtepIpStringRequired

        The VTEP IP address.

      • portIntegerRequired

        The port number.

      • typeStringRequired

        The resource type.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • poolUuidStringRequired

        The resource pool UUID.

    • remoteVtepsListRequired

      See remoteVteps.

      • uuidStringRequired

        The resource UUID.

      • clusterUuidStringRequired

        The cluster UUID.

      • vtepIpStringRequired

        The physical server VTEP IP address.

      • portIntegerRequired

        The port.

      • typeStringRequired

        The type.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • poolUuidStringRequired

        The VXLAN recource pool UUID.

    • attachedVxlanNetworkRefsListRequired

      See attachedVxlanNetworkRefs.

      • vniIntegerRequired

        The VNI number.

      • poolUuidStringRequired

        The resource pool UUID.

      • uuidStringRequired

        The resource UUID.

      • nameStringRequired

        The resource name.

      • descriptionStringRequired

        The detailed description of the resource.

      • zoneUuidStringRequired

        The zone UUID.

      • physicalInterfaceStringRequired

        The physical interface.

      • typeStringRequired

        The resource type.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • attachedClusterUuidsListRequired

        The attached cluster UUID.

    • attachedVniRangesListRequired

      See attachedVniRanges.

      • uuidStringRequired

        The resource UUID.

      • nameStringRequired

        The resource name.

      • descriptionStringRequired

        The detailed description of the resource.

      • startVniIntegerRequired

        起始VNI

      • endVniIntegerRequired

        结束VNI

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • l2NetworkUuidStringRequired

        The L2 network UUID

Endpoint

POST/zstack/v1/l2-networks/hardware-vxlan-pool

/zstack/v1/l2-networks/hardware-vxlan-pool

Operation ID

CreateL2HardwareVxlanNetworkPool

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/l2-networks/hardware-vxlan-pool' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"sdnControllerUuid":"<sdnControllerUuid>","name":"<name>","description":"<description>","zoneUuid":"<zoneUuid>","physicalInterface":"<physicalInterface>","type":"<type>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"vSwitchType":"<vSwitchType>","isolated":true,"pvlan":"<pvlan>","startVlan":1,"endVlan":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "sdnControllerUuid": "359216656f7f3f8681b76e52a0f11429", "name": "Test-NetPool", "description": "Test", "zoneUuid": "7d07d7a4ebfa340da32ac686f77edd4e", "type": "HardwareVxlanNetworkPool" } }

Change History

This API has no change history records yet.

View all change history